# Cutting Google out of your life (2019) (Updated: Jan 2020)
### *I don't have anything to hide, but I don't have anything to show you either.*
# Introduction

*Huge* thanks to [AlternativeTo](https://alternativeto.net/). Without them and their users, this project would be significantly more difficult, if not impossible.

Before reading this guide, I highly recommend reading through [Privacy Tools](https://www.privacytools.io/) and [ethical.net](https://ethical.net/) (thanks u/yieldingTemporarily).

# Contributing
If you want to help out with the project, here are some ideas (submitting Issues/Pull Requests on the [GitHub page](https://github.com/tycrek/degoogle)):

- **iOS app alternatives!** I don't have an iOS device to find alternatives with. I would highly appreciate any help with this.
- Clean up and improve the Markdown.
- Provide more information on services with little info or where *help requested!* is shown.
- Suggest new services or provide info for removing existing services.
- Hosting a mirror or cloning the [repo](https://github.com/tycrek/degoogle). If you host a mirror, let me know and I can add it to the mirrors list.
- Anything else relating to any part of this guide, whether it's Google related or not.

**Want to help out in another way?**
- **Share** this guide with everyone you know. Let them know why privacy matters and why they should care about it. Don't force it on them, but carefully ease them into it and don't scare them away from staying secure.
- **Donate** to non-profit organizations that support online privacy and security (see the [r/privacy](https://reddit.com/r/privacy) sidebar)

# Browser extensions
These Firefox extensions can help prevent connections to Google domains and also improve your privacy/security online.

- [uBlock Origin](https://addons.mozilla.org/en-US/firefox/addon/ublock-origin/)
- [Privacy Badger](https://addons.mozilla.org/en-US/firefox/addon/privacy-badger17/)
- [Decentraleyes](https://addons.mozilla.org/en-US/firefox/addon/decentraleyes/)
- [HTTPS Everywhere](https://addons.mozilla.org/en-US/firefox/addon/https-everywhere/)
- [Cookie AutoDelete](https://addons.mozilla.org/en-US/firefox/addon/cookie-autodelete/)
- [DDG Privacy Essentials](https://addons.mozilla.org/en-US/firefox/addon/duckduckgo-for-firefox/)
- [I don't care about cookies](https://addons.mozilla.org/en-US/firefox/addon/i-dont-care-about-cookies/)
- [minerBlock](https://addons.mozilla.org/en-US/firefox/addon/minerblock-origin/)
- [Terms of Service; Didn't Read](https://addons.mozilla.org/en-US/firefox/addon/terms-of-service-didnt-read/)
- An expanded list from u/R0B0LUT10N:
  - [ClearURLS](https://addons.mozilla.org/en-US/firefox/addon/clearurls/)
  - [Cloud Firewall](https://addons.mozilla.org/en-US/firefox/addon/cloud-firewall/)
  - [CSS Exfil Protection](https://addons.mozilla.org/en-US/firefox/addon/css-exfil-protection/)
  - [Disconnect](https://addons.mozilla.org/en-US/firefox/addon/disconnect/)
  - [Don't touch my tabs! (rel=noopener)](https://addons.mozilla.org/en-US/firefox/addon/dont-touch-my-tabs/)
  - [Firefox Multi-Account Containers](https://addons.mozilla.org/en-US/firefox/addon/multi-account-containers/)
  - [Google search link fix (also Yandex)](https://addons.mozilla.org/en-US/firefox/addon/google-search-link-fix/)
  - [HTTPZ](https://addons.mozilla.org/en-US/firefox/addon/httpz/)
  - [Link Cleaner](https://addons.mozilla.org/en-US/firefox/addon/link-cleaner/)
  - [Neat URL](https://addons.mozilla.org/en-US/firefox/addon/neat-url/)
  - [Privacy-Oriented Origin Policy](https://addons.mozilla.org/en-US/firefox/addon/privacy-oriented-origin-policy/)
  - [Skip Redirect](https://addons.mozilla.org/en-US/firefox/addon/skip-redirect/)
  - [Temporary Containers](https://addons.mozilla.org/en-US/firefox/addon/temporary-containers/)
- [uMatrix](https://addons.mozilla.org/en-US/firefox/addon/umatrix/) (thanks u/rudolf323)

# Replacements/alternatives
## Notes, disclaimers, and rules
**Please read:** Instead of last year where any replacement I found was included, I will specifically focus on *privacy-focused* replacements this year.

1. Once again, replacements are based off [this Wikipedia article](https://en.wikipedia.org/wiki/List_of_Google_products)
2. Currencies in USD unless otherwise stated
3. This year I've decided ***not*** to include products from companies such as Microsoft, Apple, Yahoo, Amazon, etc. This includes companies/apps/services they own.
4. Controversial services will have a disclaimer attached if needed.
5. 5-eyes, 9-eyes, and 14-eyes services **will** be listed, and marked as such. This means the company, not the server IP.
    - 5: Australia, Canada, New Zealand, UK, USA
    - 9: Denmark, France, Netherlands, Norway
    - 14: Germany, Belgium, Italy, Sweden, Spain
    - [What are 5-eyes, 9-eyes, and 14-eyes?](https://restoreprivacy.com/5-eyes-9-eyes-14-eyes/)
6. I will still be adding personal notes if I want to.
7. Google offers a ridiculous amount of small services. I'm only focusing on the important ones for now.
9. If you see *Help requested!*, it means I couldn't find any privacy-focused services and am asking for suggestions.

## Web-based products

- Search (web, images)
  - [DuckDuckGo](https://duckduckgo.com/) - **5-eyes** -  One of the best privacy-focused search engines. Domain is hosted in USA which could potentially be problematic for some. *Editor note: I've used this for the past ~5 months and haven't had any major issues. Instant Answers are incredibly helpful for programming).*
  - [Startpage](https://www.startpage.com/) - **9-eyes** - Another privacy search engine that claims to not track any of your data. They operate servers in both USA and Europe. Note: Startpage was recently acquired. See [Issue #12](https://github.com/tycrek/degoogle/issues/12). Thanks @pydo, @ThijsRay, and @DatAres37.
  - [searx.me](https://searx.me/) - [Open-source](https://github.com/asciimoo/searx) (thanks for clarification u/Sheezdudeln) privacy search engine. Domain hosted in Germany.
  - [Qwant](https://www.qwant.com/) - Major improvements since 2018's guide.
  - [Swisscows](https://swisscows.ch/) - A Swiss search engine that offers a unique search experience for the web, images, videos, music, and more. They are currently funding a mail service. Read through their [datacenter](https://swisscows.ch/en/datacenter) about page, it's really interesting.
  - [Mojeek](https://www.mojeek.com/) - **5-eyes** - Unlike other privacy search engines which act as a "middle man" between you and Google/Bing/Yahoo, Mojeek has their own crawler and index. The results aren't as complete as some of the others, but it is still impressive and they are actively building their index to include more results with better accuracy.
- Images
  - *See above. All provide some form of image search.*
- YouTube
  - [PeerTube](https://joinpeertube.org/en/) - Decentralized video hosting network. Still quite small, but is growing and has a dedicated community.
  - [BitChute](https://www.bitchute.com/) - Also P2P, but not decentralized. Due to it being proprietary, if BitChute goes down then the whole thing goes down (unlike PeerTube). (thanks u/up-sky-7)
  - [DTube](https://d.tube/) - Looks very similar to YouTube. Advertised as "first crypt-decentralized video-platform". Built on Steemit and IPFS.
  - [Bit.tube](https://bit.tube/) - Appears to be a crypto-powered decentralized video sharing service. (thanks u/rudolf323)
  - [Invidious](https://invidio.us/) - An [open-source](https://github.com/omarroth/invidious) front-end alternative to YouTube. Seems to work pretty well from my experience so far, and it hasn't triggered *anything* on my adblocker/privacy extensions. Also offers downloads in many formats for videos (including `.vtt` subtitles).
  - [Hooktube](https://hooktube.com/) - A slightly better way to use actual YouTube. (Use as a "last resort")
- News
  - Removed Reddit news as they are typically *extremely* biased to the general populace.
  - [AllSides](https://www.allsides.com/unbiased-balanced-news) - Seemingly unbiased news source. Thanks @jeanofthedead
  - *Help requested!*
- Groups
  - *Use other forum sites relating to specific topics. This is a very broad service.*
- Translate
  - [Swisscows Translate](https://swisscows.ch/translate) - A powerful translation service with many languages available.
  - [DeepL](https://deepl.com/) - **14-eyes** - DeepL is an artifical intelligence translation service. *Editor note: The site server seems to be hosted in Finland, yet the company lists itself as [a company based in germany](https://www.deepl.com/pro-faq.html) in the Data Protection section.*
  - *Help requested!*
- Google Ads/AdMob/AdSense
  - *Help requested!*
- G Suite
  - *Help requested!*
  - Note: Zoho has been removed as per issue #53. See [this link](https://news.ycombinator.com/item?id=18056723). Thanks @ribtoks
- Blogger/Sites
  - [Joomla](https://www.joomla.org/) - Self-hosted and open-source content management system (CMS).
  - [Write.as](https://write.as/) - Self-advertised as privacy-focused.
  - [WordPress](https://wordpress.org/) self-hosted - The open-source version of WordPress. A very popular tool and a recognized name.
  - [concrete5](https://www.concrete5.org/about) - **5-eyes** - Open-source CMS.
  - [Noblogs](https://noblogs.org/) - **9-eyes** - A privacy/security focused blogging platform.
- Analytics
  - [Matomo](https://matomo.org/) - **9/14-eyes** (Matomo/parent company) - Open-source analytics platform. (thanks u/Newblik)
  - [Plausible](https://plausible.io/) - **5-eyes** - Not open-source, but privacy-focused web analytics.
- Photos
  - [Piwigo](https://piwigo.org/) - **9-eyes** (self-hosted) - Self-hosted and open-source cloud photo manager. You can also sign up for an ["as a service" account](https://piwigo.com).
  - *Help requested!*
- Calendar
  - [Lightning Calendar](https://www.thunderbird.net/en-US/calendar/) (Thunderbird)- Developed by Mozilla Foundation and open-source. Integrates into Thunderbird and SeaMonkey.
  - [Fruux](https://fruux.com/) - **14-eyes** - Open-source calendar using "sabre/dav" (open-source WebDAV, CardDAV, and CalDAV). They mention privacy quite a bit on their site. Very large number of features, and supports nearly every device: Windows, iOS, Linux, Android, BlackBerry, SailFish, and also a Webapp for browsers.
- Docs/Sheets/Slides (cloud collaboration)
  - [CryptPad](https://cryptpad.fr/) - **9-eyes** - Open-source "zero knowledge" collaborative cloud editor. They offer Rich Text, Code, Presentation, Sheet (beta), Poll, Kanban, Whiteboard, and CryptDrive. 100% Client side encryption. Tons of useful features.
  - [Etherpad](https://etherpad.org/) - Self-hosted collaborative editor. Does not use the browser. Not the greatest interface, but it's open-source and you have full control over who can see your data.
  - [Cryptee](https://crypt.ee/) - Open-source and privacy focused photo and document storage/editing. Based in Estonia, so your files are outside the reach of any 14-eyes country. They don't even require an email address to sign up.
  - Note: Zoho has been removed as per issue #53. See [this link](https://news.ycombinator.com/item?id=18056723). Thanks @ribtoks
- Docs/Sheets/Slides (offline)
  - [LibreOffice](https://www.libreoffice.org/) and [Apache OpenOffice](https://www.openoffice.org/) - Both are open-source offline document suites.
  - [LibreOffice Online](https://www.libreoffice.org/download/libreoffice-online/) - Self-hosted instance of LibreOffice that you can run in your browser. Thanks @flubberding
- Domains
  - [Njalla](https://njal.la/) - **14-eyes** - Privacy-focused domain registration. Competitive pricing and a large list of available domain extensions. They also offer VPS hosting. Built by people who built The Pirate Bay among others. (thanks u/brais33 and u/HumbleBasis6)
- Drive
  - [ownCloud](https://owncloud.org/) - **14-eyes** - Open-source and self-hosted. Provide your own storage.
  - [Nextcloud](https://nextcloud.com/) - **14-eyes** - Also self-hosted. Spin-off of ownCloud. **Also offers Calendar and Contacts** (thanks @chribre)
  - [Syncthing](https://syncthing.net/) - **9-eyes** - An interesting take on cloud storage: decentralized. Peer-to-peer between only your devices. Software is open-source and available on GitHub.
  - [Sia](https://sia.tech/) - Fully decentralized cloud storage.
  - [Tresorit](https://tresorit.com/) - Primarily meant for businesses, but offeres a free version for individuals as well. (thanks u/xNick26)
  - *Editor note: I'm not including MEGA. I do not recommend MEGA. It's far too controversial and far too difficult to figure out who actually owns the service. Also, it's a 5-eyes.*
- Hangouts (instant messaging)
  - [Signal](https://signal.org/) - Whistleblower and privacy advocate Edward Snowden recommends Signal.
  - [Tox](https://tox.chat/) - Tox is unique as it uses P2P technology to ensure the network *never* goes down, as long as there are users to keep it alive. They specifically say on the website "Tox has no central servers that can be raided, shut down, or forced to turn over data".
  - [Wire](https://wire.com/en/) - **14-eyes** - Uses end-to-end encryption. Looks to be more of a corporate service with tiered plans.
  - [Riot](https://about.riot.im/) - Open-source privacy-focused chat service with end-to-end encryption. They offer webapps, desktop apps, iOS, and Android (Play Store and F-Droid). Uses the "Matrix" protocol for decentralized communication. It is 100% free and open-source with no paid plans.
  - [Threema](https://threema.ch/en) - Swiss-based GDPR-compliant instant messenger. Has apps for both iOS and Android. Unlike Signal, no phone number is required (nor is an email) to sign up. End-to-end encrypted. Thanks to @nathanvogel
  - *Editor note: See [this article](https://outline.com/BK8f7h) for why I didn't include WhatsApp and why you should NOT use it (if someone has a better Outline link, that would be much appreciated).*
  - I have also **removed** Telegram. See [Issue #29](https://github.com/tycrek/degoogle/issues/29) from @arsv.
- Gmail
  - [Protonmail](https://protonmail.com/) - One of the top privacy-focused email providers. Servers are in Switzerland in an underground guarded bunker that they claim can "survive a nuclear attack".
  - [Tutanota](https://tutanota.com/) - **14-eyes** - Open-source. Also one of the top privacy-focused email providers. Located in Germany.
  - [Posteo](https://posteo.de/en) - **14-eyes** - Completely anonymous mail provider located in Germany.
  - [mailbox.org](https://mailbox.org/en/) - **14-eyes** - Paid email provider, also located in Germany.
  - [Disroot](https://disroot.org/) - **9-eyes** - Decentralized email service.
  - [StartMail](https://www.startmail.com/en/) - **9-eyes** - Operated by the same people who run StartPage.
  - [Runbox](https://runbox.com/why-runbox/privacy-protection/) - **9-eyes** - Privacy focusued email provider. Thanks @petertorelli
  - [nextCloud](https://help.nextcloud.com/t/nextcloud-mail-server/157) - Now also provides an email service (self-hosted). Thanks @je-vv
  - *This is just for the Gmail service, not a client*
  - Note: Zoho has been removed as per issue #53. See [this link](https://news.ycombinator.com/item?id=18056723). Thanks @ribtoks
- Keep
  - [Joplin](https://joplinapp.org/) - Open-source notes/todo app. Available for Windows, macOS, Linux, Android, and iOS. Also offers a terminal version. It can import Evernote `.enex` files if you use that. It can also sync with Nextcloud (mentioned above).
  - [Standard Notes](https://standardnotes.org/) - Encrypted note storage with loads of features. Offers a web app as well as downloads for most operating systems. Has a paid plan, but the free tier has many useful features as well.
  - [QOwnNotes](https://www.qownnotes.org/) - Open-source file editor with Markdown support. (thanks u/maqp2)
- Play Music & Play Movies and TV
  - [Jellyfin](https://jellyfin.github.io/) - Open-source alternative to the Play media services. You do need to provide your own content, however. In active development with frequent updates (to the source, that is).
  - [Funkwhale](https://funkwhale.audio/) - Self hosted, decentralized music service. Provide your own audio. (thanks u/DashEquals)
  - [Airsonic](https://airsonic.github.io/) - **Music only** - Self-hosted open-source media streamer. Has features for transcoding audio on-the-fly for "virtually any audio format". You can also set bandwidth limits if you need to. Looks very powerful.
  - [Music Player Daemon](https://www.musicpd.org/) - A "flexible, powerful, server-side application for playing music".
  - [Popcorn Time](https://popcorntime.sh/faq) - Open source software for desktop and mobile that let you easily stream movie/TV torrents. **Be careful if your country or ISP has policies against torrenting, a VPN is recommended.** Thanks @je-vv
  - *Editor note: I can no longer recommend [Emby](https://emby.media/) as they are [no longer open-source](https://www.linuxuprising.com/2018/12/jellyfin-free-software-emby-media.html).*
  - Thanks to u/eA8KESARaW6iqCpHsbE4 for suggesting Jellyfin and pointing out that Emby isn't open-source.
- Fonts
  - [Open Font Library](https://fontlibrary.org/) - **5-eyes** - Lots of Serif and Sans-Serif fonts that can be directly embedded into a website.
- Classroom
  - [Moodle](https://moodle.org/) - Self-hosted Classroom software for schools. Very powerful. Thanks @jankapunkt
  - [ILIAS](https://www.ilias.de/en/) - Another self-hosted open source classroom software. Thanks again to @jankapunkt
- Maps/Street View
  - [OpenStreetMaps](https://www.openstreetmap.org/) **9-eyes** - Collaborative project to create a free, editable map of the world (from Wikipedia). Completely crowdsources. Very strong alternative to Maps.
  - *Editor note: I've seen OsmAnd: it's a mobile app. I've seen HERE WeGo: It's on malvertising filter lists.*
- Transit
  - *Help requested!*
- Trends
  - *Help requested!*

## Operating systems

- Android/Fuchsia
  - *Note: You'll either need a rooted device with an unlocked bootloader, or a specific device depending on which OS you like.*
  - [Ubuntu Touch](https://ubuntu-touch.io/) - Ubuntu, but for phones.
  - [LineageOS](https://www.lineageos.org/) **5-eyes** - Open-source and based on Android, but without the crap.
  - [SailfishOS](https://sailfishos.org/) - *Help requested!*
  - ~~[CopperheadOS](https://copperhead.co/android/) - **5-eyes** - A "secure" version of Android from Canada.~~
    - u/poto-tomato pointed out that CopperheadOS is [no longer active](https://old.reddit.com/r/CopperheadOS/comments/8qdnn3/goodbye/). It has now evolved into a [new project](https://old.reddit.com/r/CopperheadOS/comments/b6muvh/androidhardening_project_renamed_to_grapheneos/) under the name [GrapheneOS](https://github.com/GrapheneOS).
  - [postmarketOS](https://postmarketos.org/) - Open-source mobile Linux OS. Can install different user interfaces such as [Plasma Mobile](https://www.plasma-mobile.org/). Thanks @okias
  - [Replicant](https://replicant.us/) - **5-eyes** - Free Android distribution. Puts the emphasis on "freedom and privacy/security".
  - Note: Removed /e/ due to controversies. Look through the GitHub Issues to see for yourself.
- Chrome OS
  - [Qubes OS](https://www.qubes-os.org/) - "A reasonably secure operating system", at least according to their website. Edward Snowden recommends it.
  - [Tails](https://tails.boum.org/) - For the uber-paranoid. Runs live and the entire OS is routed through Tor right from boot. Built on Debian.
  - [Knoppix](http://www.knopper.net/knoppix/index-en.html) - Another Live OS, runs from CD/DVD/USB. Can also be installed if desired.
  - [Parrot OS](https://parrotsec.org/) - Debian-based and privacy focused. Fully sandboxed. (thanks u/Safe_Airport)
  - [PureOS](https://pureos.net/) - The OS of Purism Laptops (mentioned in the Hardware section). Very clean UI. *Editor note: I could not get this working on a UEFI Dell laptop. The group behind PureOS does not provide any UEFI support.*
  - Any other form of Linux should work fine too.
    - [Ubuntu](https://www.ubuntu.com/)
    - [Debian](https://www.debian.org/)
    - [Mint](https://linuxmint.com/)
    - [Fedora](https://getfedora.org/)
    - [Arch](https://www.archlinux.org/) or [Manjaro](https://manjaro.org/) *Editor note: I use Manjaro and it's my favourite OS*
    - [Trisquel](https://trisquel.info/), [Gentoo](https://www.gentoo.org/), and [Alpine](https://www.alpinelinux.org/) (thanks u/privacyfreak555)
    - [etc etc etc](https://en.wikipedia.org/wiki/List_of_Linux_distributions)
- Wear OS
  - [AsteroidOS](https://asteroidos.org/) - **14-eyes** - The cleanest (and only) open-source alternative for Wear OS. Make sure you buy a watch that supports it!
- Android Auto
  - *Help requested!*
- Google TV/Android TV
  - [Kodi](https://kodi.tv/) - It's incredibly powerful and backed by one of the strongest communities around. Tons of plugins to do nearly anything you want. Software installs on nearly any platform.
  - [OSMC](https://osmc.tv/) - Free, open source media center OS. Kodi is pre-installed. Thanks to @g4rret and @lgiard for clarifying the difference between Kodi and OSMC!

## Desktop applications

- Chrome
  - [Ungoogled Chromium](https://github.com/Eloston/ungoogled-chromium) - Chromium (which Chrome and countless other browsers are built on top of) is one of the cleanest and light-weight browsers available. This version cuts out all the Google crap. *Editor note: I've used it for a work project and it's ridiculously fast.*
  - [Firefox](https://firefox.com/) - Built by Mozilla. Huge extension library; great for privacy.
    - [Waterfox](https://www.waterfox.net/) - Based on Firefox, but specifically 64-bit *only* with an emphasis on speed and privacy. Has a "classic" version built off older Firefox for legacy extension support and also an "alpha" version built off Quantum. It doesn't collect any telemetry and also removes Pocket from the alpha release. Project is run by [Alex Kontos](https://github.com/MrAlex94/) and is constantly in active development.. Looks very clean and fast. Android versions are in the works too. *Editor note: This is the browser I primarily use*
  - [Vivaldi](https://vivaldi.com/) - Privacy-focused browser. Appears to be very customizable and feature-rich.
  - [Brave](https://brave.com/) - Another very popular privacy-focused browser. Boasts "up to 8x faster than Chrome and Safari". Automatically blocks ads and trackers so you don't have to.
  - [Tor Browser](https://www.torproject.org/download/) - Firefox-based browser routed through the onion network. Automatically has a few privacy extensions installed (such as HTTPS Everywhere). Be careful using it in public though, as it *can* look like a pretty suspicious piece of software. Available for Windows, Linux, macOS, and Android.
- Earth
  - Different from Maps Satellite in the sense that Earth has tons of complex features that require desktop software to be installed.
  - [KDE Marble](https://kde.org/applications/education/org.kde.marble) - Strong alternative for G Earth. Currently only on Linux, but is being ported to other platforms. Thanks to @PopeRigby
- Android Studio (not specifically for Android development, just in general)
  - [VSCodium](https://github.com/VSCodium/vscodium) - VSCodium is VSCode but without all the Microsoft telemetry and branding.
  - *Help requested!*

## Mobile applications (mobile apps installable from stores)

When searching for replacements, check the alternative stores (such as F-Droid) before checking the Play Store.

- Play Store
  - [F-Droid](https://f-droid.org/) - Catalogue of FOSS apps for Android. Easy to install and keeps track of updates. Also has a browser version if you don't want to install the app.
  - [Aptoide](https://www.aptoide.com/) - Marketplace for Android apps. Publishers/developers manage their own stores rather than a centralized market such as Google Play Store.
  - [Yalp Store](https://github.com/yeriomin/YalpStore) - Yalp downloads Play Store apps as APK files. Helpful if you want to stay away from the Play Store, but require an app that is only available there.
  - [APKMirror](https://www.apkmirror.com/) - An online library of user-uploaded APK files. Helpful if you need a specific older version of an app or don't want to download it through Google Play.
  - [Aurora Store](https://gitlab.com/AuroraOSS/AuroraStore) - Aurora Store is ~~simply a fork of the Yalp Store~~ no longer a fork of Yalp, but is now its own project (see their [readme](https://gitlab.com/AuroraOSS/AuroraStore/blob/master/README.md)). It can also utilize [microG](https://microg.org/) if you wish to use *very minimal* Google Play services. Thanks @RefexHD for clarifying.
  - [Fossdroid](https://fossdroid.com/) - Uses the same library as F-Droid, but with a modern UI similar to that of the Play Store and the ability to view apps by popularity.
  - [G-Droid](https://gitlab.com/gdroid/gdroidclient/) - Also uses the F-Droid repo but with a different UI.
  - [APKGrabber](https://github.com/hemker/apkgrabber) - Fork of [APKUpdater](https://github.com/rumboalla/apkupdater). Both are great tools for avoiding app stores (on Android).
  - [Aurora Droid](https://forum.xda-developers.com/android/apps-games/app-aurora-droid-fdroid-client-t3932663) - Yet another F-Droid client, potentially has a few bugs (thanks u/OfficialJohnGL4)
- Chrome (Android)
  - [Fennec F-Droid](https://f-droid.org/en/packages/org.mozilla.fennec_fdroid/) - A privacy-focused version of Firefox Android available on F-Droid. It's focused on removing any proprietary bits found in official Mozilla's builds. (thanks u/SupremeLisper)
  - [Bromite](https://www.bromite.org/) - Privacy-focused/open-source build of Chromium with built-in ad blocking. (thanks u/SupremeLisper)
- Calculator
  - [Simple Calculator](https://github.com/SimpleMobileTools/Simple-Calculator) - Also part of the SMT project. Available on F-Droid.
  - [Calculator N+](https://github.com/tranleduy2000/ncalc) (or NCalc+) - Open-source feature-rich calculator. App itself is no longer in development, but the developer does [encourage pull requests](https://github.com/tranleduy2000/ncalc#calculator-n---powerful-calculator-for-android). I've used it frequently and it works great. Not on F-Droid, but a 3rd party play store can probably find it; or the APK's are available as releases on GitHub. You can also compile from source.
- Calendar
  - [Fruux (mobile app)](https://fruux.com/) - Same service from above provides an Android app.
  - [Etar](https://github.com/xsoh/Etar-Calendar) - Open-source material design Calendar that integrates with the Android Calendar API. If you have a CalDAV/CardDAV server, I recommend using [DAVx5](https://www.davx5.com/) to sync with it. Available from F-Droid. Also look at [ICSx5](https://icsx5.bitfire.at/), another WebDav/CalDav client that can integrate with calendar apps. Also available from F-Droid. Thanks @je-vv for ICSx5.
- Camera
  - [Open Camera](https://opencamera.sourceforge.io/) - Open source camera for Android. Thanks @je-vv
- Clock
  - [Clock +](https://github.com/philliphsu/ClockPlus) - Open-source Alarm clock, timer, and stop watch. Available from F-Droid.
  - [Simple Alarm Clock](https://github.com/yuriykulikov/AlarmClock) - Exactly as it's name says; simple alarm clock yet adds many improvements over other apps. No dock mode or world clock.
  - [Insane Alarm!](https://github.com/RIAEvangelist/insane-alarm) - Developer states that he had "spent a night out with the boys and drank a bit too much but needed to be up in the morning". So, he made the loudest alarm clock possible based off an emergency alarm from when he was in the military. This app doesn't mess around, use it wisely.
- Contacts
  - [Fruux (mobile app)](https://fruux.com/) - Fruux *also* provides a contacts app.
  - [Simple Contacts](https://github.com/SimpleMobileTools/Simple-Contacts) - Open-source. Part of the [Simple Mobile Tools](https://github.com/SimpleMobileTools) project. Available from F-Droid.
  - [Open Contacts](https://f-droid.org/en/packages/opencontacts.open.com.opencontacts/) - Available from F-Droid. (thanks u/consentio)
- Android Messages (specifically SMS, not IM)
  - [QKSMS](https://github.com/moezbhatti/qksms) - Open-source. Very clean and feature rich SMS app.
  - [Silence.im](https://silence.im/) - Open-source and utilizes Signal's encryption protocol. Seamlessly works with SMS. End-to-end encryption with other Silence users.
  - *Both Messages replacements are available on F-Droid*
- Gboard
  - [AnySoftKeyboard](https://anysoftkeyboard.github.io/) - Open-source keyboard. Available on F-Droid.
  - [Hacker's Keyboard](https://github.com/klausw/hackerskeyboard) - Also open-source. Very useful for developers or sysadmins on the go.
  - [kboard](https://github.com/adgad/kboard) - Open-source. Has features for phrases, "lenny faces", macros and more.
  - [Simple Keyboard](https://github.com/rkkr/simple-keyboard) - Open-source, available from F-Droid.
  - [Indic Keyboard](https://gitlab.com/indicproject/indic-keyboard) - Open-source keyboard that supports many languages that other keyboards sometimes don't support. Not on F-Droid, but can be built from source or possibly through a Play Store alternative.
- Drive
  - [ownCloud Android](https://github.com/owncloud/android) - ownCloud Android client.
  - [Nextcloud Android](https://github.com/nextcloud/android) - Nextcloud Android client.
  - [Syncthing Android](https://github.com/syncthing/syncthing-android) - Wrapper of Syncthing for Android
  - *All Drive replacements are available on F-Droid*
- Gmail
  - [Protonmail](https://protonmail.com/support/knowledge-base/android/) - Can be downloaded from the Play Store, but may work with one of the store replacements above (such as Yalp).
  - [Tutanota](https://f-droid.org/en/packages/de.tutao.tutanota/) - Client available from F-Droid.
  - Posteo - Any **open-source mail client** such as: [K-9 Mail](https://k9mail.github.io/) and [FairEmail](https://email.faircode.eu/). Both are available on F-Droid.
  - Mailbox.org - Mailbox.org provides IMAP settings for Android/iOS and an iOS profile. Thanks @avasts Issue #45
  - [Disroot](https://f-droid.org/en/packages/org.disroot.disrootapp/) - Available from F-Droid.
- Keep (or any stock note-taking app)
  - [Notepad](https://github.com/farmerbb/Notepad) - Open-source and available from F-Droid. Supports Markdown and HTML. Very clean and feature-rich. *Offline only*.
  - [Joplin](https://github.com/laurent22/joplin) for Android - Scroll down on the GitHub page until you reach the Android download links. No F-Droid repo, but you can download the APK directly instead of using the Play Store.
  - [Standard Notes](https://standardnotes.org/) - Encrypted note storage with loads of features.
  - [Omni Notes](https://omninotes.app/) - Very feature rich, open-source, material design notes app. Very active development. Available on F-Droid.
  - [Carnet](https://github.com/PhieF/CarnetDocumentation) - I had some trouble finding info on this one. Looks like it has pretty seamless/painless ownCloud and NextCloud integration. Also available on F-Droid.
  - [Markor](https://gsantner.net/project/markor.html) - Open-source notes/to-do app for Android. Supports Markdown editing. Available on F-Droid. App is 100% offline, as stated on the [GitHub README](https://github.com/gsantner/markor#privacy).
  - [Orgzly](http://orgzly.com/) Open-source and available from F-Droid. Notes are stored in the plain-text [Org mode](https://orgmode.org/) format. Supports searching, metadata, and manual sync with Dropbox or local directory, which can be synced using e.g. Syncthing.
- Maps/Waze
  - Don't use Waze. It's owned by Google.
  - [Maps](https://f-droid.org/en/packages/com.github.axet.maps/) - Available from F-Droid. Open-source navigation app based on MAPS.ME. Searching for addresses doesn't always work and finding businesses can be a slight hassle, but overall one of the better apps I've used.
  - [OsmAnd](https://osmand.net/) - OpenStreeMaps for Android. (thanks u/masao77)
  - [Transportr](https://transportr.app/) - Primarily European, this is an open-source public transport app. Thanks to @lgiard
  - [Offi or Oeffi](https://oeffi.schildbach.de/) - Another recommendation from @lgiard, this app is also for public transport.
- News
  - [Flym](https://github.com/FredJul/Flym) - Open-source materian design RSS reader. Available from F-Droid.
- Photos
  - [Piwigo Android](https://github.com/Piwigo/Piwigo-Android) - You need to have Piwigo set up first.
- Pay
- YouTube
  - [NewPipe](https://newpipe.schabi.org/) - Powerful open-source YouTube alternative available from F-Droid. Supports audio only; background playback; picture-in-picture; no ads.
  - [FreeTube](https://github.com/FreeTubeApp/FreeTube) - Open-source YouTube client that uses the Invidio.us API to serve content. Not on F-Droid, but you can download the APK from GitHub. (thanks u/wesaphzt)
  - [YouTube Vanced](https://forum.xda-developers.com/android/apps-games/app-youtube-vanced-edition-t3758757) (if you are desperate) - Please read the XDA post before deciding to use this.
- Authenticator
  - [andOTP](https://github.com/andOTP/andOTP) - Open-source 2FA app available from F-Droid. *Editor note: I use this one*
  - [FreeOTP+](https://github.com/helloworld1/FreeOTPPlus) - FreeOTP is no longer in development so this fork should be used instead as it is currently in development. Available from F-Droid.
  - [Aegis](https://github.com/beemdevelopment/Aegis) - Open-source 2FA for Android. Available on F-Droid.
  - [Authenticator](https://mattrubin.me/authenticator/) - **iOS** - Open-source 2FA for iOS. (thanks u/SomeoneWannaBe)
- Play Music/Play Movies & TV
  - [Audinaut](https://github.com/nvllsvm/Audinaut) - An open-source Airsonic client for Android. Available from F-Droid.
  - [MALP](https://gitlab.com/gateship-one/malp) - An open-source Android client for MPD. Available on F-Droid.
- Hangouts
  - [Conversations](https://conversations.im/) - **14-eyes** - An open-source Android Jabber/XMPP client. It's a paid app on Google Play, but you can also [build it from source](https://github.com/siacs/Conversations) for free if you want to.
  - [Riot](https://github.com/vector-im/riot-android) Android app - The open-source Android client for Riot.
- Assistant
  - *Help requested!*

Android launchers:

- [Shade Launcher](https://github.com/amirzaidi/Shade) - Open-source Android launcher styled after the Google Pixel launcher. No F-Droid, but you can download the APK from GitHub.
- [ZimLX](https://github.com/otakuhqz/ZimLX) - Open-source launcher. Active development with lots of nice features. Available from F-Droid.
- [Lawnchair](https://lawnchair.app/) - Another open-source launcher, also built to look similar to Google's launcher (it is built off AOSP Launcher3). Available from F-Droid and also APKMirror. (thanks u/droidonomy)

## Hardware

- Nexus/Pixel
  - [This list](https://www.oneclickroot.com/rootable/) shows compatibility for rooting Android devices.
  - [Purism Librem 5](https://puri.sm/products/librem-5/) - From the company that makes Purism laptops. Runs PureOS. Thanks @brandonnodnarb
- Chromebook
  - Literally any other laptop with some form of Linux, *or*
  - [TUXEDO](https://www.tuxedocomputers.com/) - **14-eyes** - Privacy-focused laptop maker out of Germany. Tech specs are very competent and can easily compete with other modern systems. Fully Linux compatible. They also offer desktops. (thanks u/itsec_ho)
  - [Purism Laptops](https://puri.sm/) - Privacy-focused laptop running PureOS. Good designs and decent hardware.
- Chromecast
  - [Microsoft Wireless HDMI adapter](https://www.microsoft.com/accessories/en-us/products/adapters/wireless-display-adapter-2/p3q-00001) - The **only** reason I'm recommending this Microsoft product is because there is no possible way for it to extract any data and ship it off to Microsoft. I use it and it works great.
- Google Home
  - [Mycroft](https://mycroft.ai/) - Open-source virtual personal assistant. Can be run on a Raspberry Pi. (thanks u/Kentto7)
  - [Home Assistant](https://www.home-assistant.io/) - Open-source home automation. (thanks u/bilange)

# Useful links, tools, and advice

Everything you need to become Privacy Wizard.

- The [r/Privacy wiki](https://old.reddit.com/r/privacy/wiki/index) has a lot of helpful information; I highly recommend reading through it! Seriously, do it now, then come back here.
- Read the [r/VPN](https://old.reddit.com/r/VPN/) sidebar and [wiki](https://old.reddit.com/r/VPN/wiki/index) to learn more about why you should consider using a VPN. I personally use PIA.
- Click [here](https://outline.com/XuMTFA) and [here](https://outline.com/dqfuqL) for some great tips on creating strong passwords.
- Use a [password manager](https://outline.com/pHsALA) to keep all your passwords secure. ~~I use LastPass~~ u/-Choose-A-User- and u/EbonixCo have convinced me to switch to [Bitwarden](https://bitwarden.com/). So far it's just as good, if not better.
- Set up [multi-factor/two-factor authentication](https://en.wikipedia.org/wiki/Multi-factor_authentication) on as many accounts as you can. It may be a pain, but it could save you from a targeted hack.
- Don't save passwords to your browser! [Erase the entire password cache](http://www.wikihow.com/Delete-Remembered-Passwords) once you set up a password manager.
- [AlternativeTo](https://alternativeto.net/) has alternatives for pretty much any software, site, or service out there.
- [Remove bloatware from Android (without root)](https://www.xda-developers.com/uninstall-carrier-oem-bloatware-without-root-access/)
- [What are 5-eyes, 9-eyes, and 14-eyes?](https://restoreprivacy.com/5-eyes-9-eyes-14-eyes/)
- [Outline](https://outline.com/) is an awesome tool for getting all the junk out of news articles (I've used it a few times in this guide already). Sometimes it can get around paywalls for "premium" news sites.
- [What is Tor and should I use it?](https://outline.com/JRCscH)
- [HTTP vs. HTTPS](https://outline.com/xUXZMh)
- The EFF has an [excellent guide](https://ssd.eff.org/) on how to stay safe and secure online. It is incredibly useful and I suggest that everyone (even the experts) read through it.
- Click [here](https://www.thewindowsclub.com/windows-10-telemetry) and [here](https://winaero.com/blog/how-to-disable-telemetry-and-data-collection-in-windows-10/) for tips on disabling Windows 10 telemetry/data collection.
- Click [here](https://www.mozilla.org/en-US/internet-health/privacy-security/) and [here](https://blog.mozilla.org/internetcitizen/2017/01/30/15-privacy-tips-protect-online-life/) for tips from the Mozilla Foundation on internet privacy and security.
- Click [here](https://duckduckgo.com/newsletter) to sign up for DuckDuckGo's privacy newsletter, and [here](https://spreadprivacy.com/) for more tips, articles, and blog posts from DuckDuckGo.
- [Delete Facebook](https://deletefacebook.com/). Another guide can be found [here](https://www.wikihow.com/Permanently-Delete-a-Facebook-Account).
- [Why you should put tape over your webcam](https://outline.com/fYCu98)
- [What is DNS and why should I change it?](https://outline.com/8jsWXw) I think it's common sense to not use Google Public DNS; I use and recommend [Cloudflare's 1.1.1.1](https://1.1.1.1/). Use [DNSPerf](https://www.dnsperf.com/#!dns-resolvers) to see which one is fastest for you (Google ranks 4th and Cloudflare ranks 1st at time of writing this).
- What is GDPR? [TechRadar](https://outline.com/6sjd76) and [The Guardian](https://outline.com/exmSpf)
- [Here](https://github.com/lfit/itpol/blob/master/linux-workstation-security.md) is a really good guide for configuring a super secure Linux workstation (thanks u/aoeudhtns)
- [A website to raise awareness of online privacy](https://theytrackyou.com/). Lot's of good tips in here (thanks u/brais33)
- [Android Privacy Guide](https://gitlab.com/Attedz/AndroidPrivacyGuide) (thanks u/rightknobhead)
- [Windows 10 Privacy Guide](https://fdossena.com/?p=w10debotnet/index_1903.frag) (thanks again u/rightknobhead)
- Check out [Prism Break](https://prism-break.org/en/) (thanks u/FrontierPsycho)
- [Guide for Linux users](https://github.com/wesaphzt/block-all-google) on blocking everything Google at the network level. This can and probably will break other alternatives that rely on Google to serve content. Thanks u/wesaphzt
- u/wesaphzt also provided [this](https://github.com/pyllyukko/user.js), [this](https://ffprofile.com/), and [this](https://www.privacytools.io/browsers/#about_config) for hardening Firefox.
- Check out [WindowsSpyBlocker](https://github.com/crazy-max/WindowsSpyBlocker) and [this tutorial](https://github.com/adolfintel/Windows10-Privacy) for even more Windows 10 tips (thanks u/rudolf323)
- Did you read the [wiki](https://old.reddit.com/r/privacy/wiki/index) yet? Go do that.

# The lighter side

All that reading got you tired out? Or super interested in nerdy stuff? Awesome, now go check out these.

- Movies and TV I recommend:
  - *Snowden (2016)* - Based on the true story of Edward Snowden, the CIA/NSA/etc whistleblower. I've seen it about 30 times. Directed by Oliver Stone.
  - *Deep Web (2015)* - Documentary (narrated by Keanu Reeves) about Ross Ulbricht aka. Dread Pirate Roberts and the infamous "Silk Road" dark market. Directed by Alex Winter.
  - *Mr. Robot* - Hacker-drama starring Rami Malek. Producers hired actual hackers as consultants to ensure the show is as accurate as possible; real-world tools used in the show.
  - *Silicon Valley* - Satirical tech comedy about a compression startup struggling to take off in Silicon Valley, California. My personal favourite show. Episodes are pure genius, tech humour is actually funny and not forced.
- Podcasts:
  - [Darknet Diaries](https://darknetdiaries.com/) (by Jack Rhysider) - Beautifully crafted, bone-chilling episodes highlighting real-life hackers and their stories. Covers privacy topics a fair bit.
  - The WAN Show (Linus Tech Tips) - Not specifically privacy, but they cover all sorts of tech news.
  - [The Privacy, Security, & OSINT Show](https://inteltechniques.com/podcast.html) - "This weekly podcast presents ideas to help you become digitally invisible, stay secure from cyber threats, and make you a better online investigator."
  - [Security Now!](https://www.grc.com/SecurityNow.htm) - "TechTV's Leo Laporte and I spend somewhat shy of two hours each week to discuss important issues of personal computer security." (Thanks u/Abaddon182)
- Other:
  - [xkcd](https://xkcd.com/) - They have comics for *everything*.
  - System32 Comics [Instagram](https://www.instagram.com/system32comics/) and [Reddit](https://www.reddit.com/r/System32Comics/) - Comedic computer comics.

# Closing remarks

It's a shame that Google, with their immense resources, power, and influence, don't see the benefits of helping people secure themselves online. Instead, they force people like us to scour the web for alternatives and convince our friends and family to do the same, while they sell off our data to the highest bidder.

Hopefully this guide can serve as a starting point for those new to privacy, or be a good refresher for the experts.

Good luck and stay safe!
